Package org.eclipse.microprofile.fault.tolerance.tck.interceptor.ftPriorityChange

# Class LateFtInterceptor

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.interceptor.ftPriorityChange.LateFtInterceptor

@Interceptor @Priority(3900) public class LateFtInterceptor extends Object
An interceptor that is called after the FT interceptor in the chain and count the invocation.

Author:
  carlosdlr

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static @interface`
`LateFtInterceptor.InterceptLate`
Interceptor binding for `LateFtInterceptor`

## Constructor Summary

Constructors
Constructor
Description
`LateFtInterceptor()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`intercept(jakarta.interceptor.InvocationContext ctx)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LateFtInterceptor

public LateFtInterceptor()

## Method Details

### intercept

public Object intercept(jakarta.interceptor.InvocationContext ctx) throws Exception

Throws:
  `Exception`